Subject: Re: [Fot] Fwd: Sat am pt2

From: Bob Kramer via Fot <[email-masked]>
Date: Thu, 26 Feb 2015 18:11:52 +0000

I hadn't thought about how your weekend went. This time Group 7 was the place to be. We had two good races Saturday and the wet ones were interesting. Like John I got my last spin in at TWS. 

I noticed that you have subscribed to Skip and that scary head on from Group 7 was on his feed. I wondered where to find it, and now I know.

Bob Kramer
[email-masked]

---- Greg And Alison Blake via Fot <[email-masked]> wrote: 
> 
> Part 2. 
> 
> 
> 
> > http://youtu.be/ne5fWaU_ksk
> > 
> > 
> > 
> _______________________________________________
> [email-masked]
> 
> http://www.fot-racing.com
> 
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]
> 
> 

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive